CVE-2024-28834

NameCVE-2024-28834
DescriptionA flaw was found in GnuTLS. The Minerva attack is a cryptographic vulnerability that exploits deterministic behavior in systems like GnuTLS, leading to side-channel leaks. In specific scenarios, such as when using the GNUTLS_PRIVKEY_FLAG_REPRODUCIBLE flag, it can result in a noticeable step in nonce size from 513 to 512 bits, exposing a potential timing side-channel.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
Debian Bugs1067464

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
gnutls28 (PTS)buster3.6.7-4+deb10u8fixed
buster (security)3.6.7-4+deb10u12fixed
bullseye3.7.1-5+deb11u4vulnerable
bullseye (security)3.7.1-5+deb11u3vulnerable
bookworm3.7.9-2+deb12u2vulnerable
trixie3.8.3-1vulnerable
sid3.8.5-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
gnutls28sourceexperimental3.8.4-1
gnutls28sourcebuster(not affected)
gnutls28source(unstable)3.8.4-21067464

Notes

[bookworm] - gnutls28 <no-dsa> (Minor issue)
[bullseye] - gnutls28 <no-dsa> (Minor issue)
[buster] - gnutls28 <not-affected> (Vulnerable code not present)
https://gitlab.com/gnutls/gnutls/-/issues/1516
https://lists.gnupg.org/pipermail/gnutls-help/2024-March/004845.html
https://www.gnutls.org/security-new.html#GNUTLS-SA-2023-12-04
Fixed by: https://gitlab.com/gnutls/gnutls/-/commit/1c4701ffc342259fc5965d5a0de90d87f780e3e5 (3.8.4)
Introduced with: https://gitlab.com/gnutls/gnutls/-/merge_requests/1051 (gnutls_3_6_10)

Search for package or bug name: Reporting problems